<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/pregunta.php';

$response = array();

if (!isset($_POST['id_producto'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_producto = $_POST['id_producto'];

$preguntas = Pregunta::mdlGetPreguntaRespuestaByIdProducto($id_producto);

if (!$preguntas) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron preguntas';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $preguntas;
echo json_encode($response);